// Gruntfile with the configuration of grunt-express and grunt-open. No livereload yet!
module.exports = function(grunt) {

    // Configure Grunt
    grunt.initConfig({

        concurrent: {
            dev: {
                tasks: ['nodemon'],
                options: {
                    logConcurrentOutput: true
                }
            }
        },

        nodemon: {
            dev: {
                script: 'server.js',
                options: {
                    nodeArgs: ['--debug=5858'],
                    env: {
                        PORT: '3414',
                        NODE_ENV: 'dev'
//                        ,CREATE_DATA: 'true'
//                        ,CREATE_TYPE: 'both'
//                        ,UPDATED: 'true'
                    },
                    callback: function (nodemon) {
                        nodemon.on('log', function (event) {
                            console.log(event.colour);
                        });

                        // refreshes browser when server reboots
                        nodemon.on('restart', function () {
                            // Delay before server listens on port
                            setTimeout(function () {
                                require('fs').writeFileSync('.rebooted', 'rebooted');
                            }, 1);
                        });
                    }
                }
            }
        },

//        grunt-watch will monitor the projects files
        watch: {
            server: {
                files: ['.rebooted'],
                options: {
                    livereload: true
                }
            }
        }
    });

    grunt.loadNpmTasks('grunt-contrib-watch');
    grunt.loadNpmTasks('grunt-nodemon');
    grunt.loadNpmTasks('grunt-concurrent');

//    grunt.loadNpmTasks('grunt-node-inspector');

    // Creates the `server` task
    grunt.registerTask('default', [
        'concurrent'
    ]);
};