/**
 * Created by John on 1/15/2016.
 */
var moment = require('moment');
module.exports = function(sequelize, DataTypes) {
    var FTPLog = sequelize.define('FTPLog', {
            id: {
                type: DataTypes.INTEGER,
                field: 'id',
                primaryKey: true,
                autoIncrement: true
            },
            deviceId: {
                type: DataTypes.STRING,
                field: 'device_id'
            },
            userId: {
                type: DataTypes.STRING,
                field: 'user_id'
            },
            message: {
                type: DataTypes.STRING,
                field: 'raw_data'
            },
            success: {
                type: DataTypes.BOOLEAN,
                field: 'success'
            },
            sent: {
                type: DataTypes.DATE,
                field: 'date_sent',
                set: function(val) {
                    console.log("TFG7 - val" + val);
                    if (val == null) {
                        this.setDataValue('sent', null);
                    } else {
                        try {
                            var m = moment(val, "YYYY-MM-DDTHH:mm:ss.SSSZ");
                            if (!m.isValid()) {
                                m = moment(val, "YYYY-MM-DD HH:mm:ss.SSS");
                                if (!m.isValid()) {
                                    this.setDataValue('sent', null);
                                } else {
                                    this.setDataValue('sent', m);
                                }
                            } else {
                                this.setDataValue('sent', m);
                            }
                        } catch (e) {
                            this.setDataValue('sent', null);
                        }
                    }
                }
            },
            errorMessage: {
                type: DataTypes.STRING,
                field: 'error_msg'
            }
        },
        {
            timestamps: false,
            tableName: 'tbl_ftp_log',
            indexes: [
                // Create a unique index on device timestamp
                {
                    unique: true,
                    fields: ['deviceId', 'userId', 'sent', 'success']
                },
            ]
        }
    );
    return FTPLog;
};