/**
 * Created by John on 4/28/2017.
 */
var moment = require('moment');

module.exports = function(sequelize, DataTypes) {
    var ClinicProfile = require("./clinicProfile")(sequelize, DataTypes);
    var Message = sequelize.models.Message;
    var MsgRecipient = sequelize.define('MsgRecipient', {
            id: {
                type: DataTypes.INTEGER,
                field: 'id',
                primaryKey: true,
                autoIncrement: true
            },
            messageId: {
                type: DataTypes.INTEGER,
                field: 'msg_id'
            },
            timestamp: {
                type: DataTypes.DATE,
                field: 'date_received',
                set: function (val) {
                    if (val == null) {
                        this.setDataValue('timestamp', new Date());
                    } else {
                        try {
                            var m = moment(val, "YYYY-MM-DDTHH:mm:ss.SSSZ");
                            if (!m.isValid()) {
                                m = moment(val, "YYYY-MM-DD HH:mm:ss.SSS");
                                if (!m.isValid()) {
                                    var mom = moment();
                                    logger.warn("Invalid Timestamp: " + val);
                                    this.setDataValue('timestamp', mom);
                                } else {
                                    this.setDataValue('timestamp', m)
                                }
                            } else {
                                this.setDataValue('timestamp', m)
                            }
                        } catch (e) {
                            var mo = moment();
                            this.setDataValue('timestamp', mo);
                        }
                    }
                }
            },
            clinicId: {
                type: DataTypes.INTEGER,
                field: 'clinic_id'
            },
            status: {
                type: DataTypes.STRING,
                field: 'status',
                defaultValue: 'created'
            }
        },
        {
            timestamps: false,
            tableName: 'tbl_msg_recipients'
        }
    );
    MsgRecipient.belongsTo(ClinicProfile, {as: "clinic", foreignKey: 'clinicId'});
    MsgRecipient.belongsTo(Message, {as: "message", foreignKey: 'messageId', constraints: false});
    return MsgRecipient;
};

