/**
 * Created by TFG on 29/01/2020
 * Model to handle the table tbl_vendor_route_clinic
 * Instead to modify the tbl_vendor_list, for compatibility issue, this table was created to store the
 * relationship between routing and clinic and where to place the app generated file (IO - SAP)
 *
 * The content of the table is used to build the table to be sent to the app during the login and is also shown in the web
 * console view in the vendor list tab
 */
module.exports = function(sequelize, DataTypes) {
    var VendorRouteClinic = sequelize.define('VendorRouteClinic', {
            id: {
                type: DataTypes.INTEGER,
                field: 'id',
                primaryKey: true,
                autoIncrement: true
            },
            clinicId: {
                type: DataTypes.STRING,
                field: 'clinic_id'
            },
            vendorId: {
                type: DataTypes.STRING,
                field: 'vendor_id'
            },
            vendorDisplay: {
                type: DataTypes.STRING,
                field: 'vendor_display'
            },
            vendorPathRoute: {
                type: DataTypes.STRING,
                field: 'vendor_route'
            }
        },
        {
            timestamps: false,
            tableName: 'tbl_vendor_route_clinic',
            indexes: [
                // Create a unique index on device timestamp
                {
                    unique: true,
                    fields: ['vendorId']
                }
            ]
        }
    );
    return VendorRouteClinic;
};