/**
 * Created by TFG on 9/10/2019.
 * Model to handle the table tbl_vendor_route_product
 * This table is sent to the app CHIPS during the login.
 * Every product sent to the CHIPS is identified by the vendor_material and vendor_id and the table contains the route
 * to be used for that product.
 * This table is NOT edited via the web console, it is built using other tables.
 */
module.exports = function(sequelize, DataTypes) {
    var VendorRouteProduct = sequelize.define('VendorRouteProduct', {
            id: {
                type: DataTypes.INTEGER,
                field: 'id',
                primaryKey: true,
                autoIncrement: true
            },
            sapMaterialId: {
                type: DataTypes.INTEGER,
                field: 'sap_material_id'
            },
            vendorMaterial: {
                type: DataTypes.STRING,
                field: 'vendor_material'
            },
            vendorId: {
                type: DataTypes.STRING,
                field: 'vendor_id'
            },
            vendorPathRoute: {
                type: DataTypes.STRING,
                field: 'vendor_route'
            }
        },
        {
            timestamps: false,
            tableName: 'tbl_vendor_route_product',
            indexes: [
                // Create a unique index
                {
                    unique: true,
                    fields: ['vendorMaterial']
                }
            ]
        }
    );
    return VendorRouteProduct;
};
