DELIMITER $$
INSERT INTO `tbl_count_data_history`
(`original_id`
,`device_pk`
,`device_id`
,`time_stamp`
,`clinic_id`
,`sap_material`
,`vendor_material`
,`material_description`
,`count`
,`count_type`
,`cat_type`
,`cnt_ind`
,`date_modified`
,`date_archived`)
SELECT id
  ,device_pk
  ,device_id
  ,`time_stamp`
,clinic_id
,sap_material
,vendor_material
,material_description
,`count`
,count_type
,cat_type
,cnt_ind
,`date_modified`
,CURRENT_TIMESTAMP
FROM `tbl_count_data`
WHERE `time_stamp` <= (CURDATE() - INTERVAL 90 DAY )
$$

DELETE FROM `tbl_count_data` WHERE EXISTS (SELECT 1 FROM `tbl_count_data_history` h WHERE tbl_count_data.ID = h.original_id )
$$

INSERT INTO `tbl_inventory_history`
(`original_id`
,`device_pk`
,`device_id`
,`type`
,`time_stamp`
,`user_id`
,`clinic_id`
,`consumer_id`
,`vendor_material`
,`count`
,`po_prefix`
,`po_number`
,`description`
,`count_type`
,`sap_material`
,`lot`
,`expiration`
,`cnt_ind`
,`date_archived`
,`asn_id`
,`modified_by`
,`date_modified`
,`sap_flag`)
SELECT `id`
,`device_pk`
,`device_id`
,`type`
,`time_stamp`
,`user_id`
,`clinic_id`
,`consumer_id`
,`vendor_material`
,`count`
,`po_prefix`
,`po_number`
,`description`
,`count_type`
,`sap_material`
,`lot`
,`expiration`
,`cnt_ind`
,CURRENT_TIMESTAMP
,`asn_id`
,`modified_by`
,`date_modified`
,`sap_flag`
FROM `tbl_inventory`
WHERE `time_stamp` <= (CURDATE() - INTERVAL 90 DAY )
$$

INSERT INTO `tbl_inventory_asn_history` (
  `original_id`,
  `original_inventory_id`,
  `asn_id`,
  `asn_date`,
  `clinic_id`,
  `expiration`,
  `invoice_number`,
  `line_number`,
  `lot`,
  `material_description`,
  `ndc`,
  `po_number`,
  `sap_material_id`,
  `ship_qty`,
  `ship_via`,
  `tracking_id`,
  `unit_price`,
  `uom`,
  `vendor_id`,
  `vendor_material`,
  `vendor_name`,
  `received_qty`,
  `lost_qty`)
  SELECT
    `id`,
    `inventory_id`,
    `asn_id`,
    `asn_date`,
    `clinic_id`,
    `expiration`,
    `invoice_number`,
    `line_number`,
    `lot`,
    `material_description`,
    `ndc`,
    `po_number`,
    `sap_material_id`,
    `ship_qty`,
    `ship_via`,
    `tracking_id`,
    `unit_price`,
    `uom`,
    `vendor_id`,
    `vendor_material`,
    `vendor_name`,
    `received_qty`,
    `lost_qty`
  FROM `tbl_inventory_asn` a
  WHERE EXISTS (SELECT 1 FROM `tbl_inventory_history` h WHERE a.`inventory_id` = h.original_id )
$$

DELETE FROM `tbl_inventory_asn` WHERE EXISTS (SELECT 1 FROM `tbl_inventory_asn_history` h WHERE tbl_inventory_asn.ID = h.original_id )
$$

DELETE FROM `tbl_inventory` WHERE EXISTS (SELECT 1 FROM `tbl_inventory_history` h WHERE tbl_inventory.ID = h.original_id )
$$

INSERT INTO `tbl_ftp_log_history`
(`original_id`
,`device_id`
,`user_id`
,`success`
,`date_sent`
,`raw_data`
,`error_msg`
,`date_archived`)
SELECT
`id`
,`device_id`
,`user_id`
,`success`
,`date_sent`
,`raw_data`
,`error_msg`
,CURRENT_TIMESTAMP
FROM `tbl_ftp_log`
WHERE `date_sent` <= (CURDATE() - INTERVAL 90 DAY )
$$

DELETE FROM `tbl_ftp_log` WHERE EXISTS (SELECT 1 FROM `tbl_ftp_log_history` h WHERE tbl_ftp_log.ID = h.original_id )
$$



INSERT INTO `tbl_asn_history` (
`original_id`,
`asn_id`,
`asn_date`,
`clinic_id`,
`expiration`,
`invoice_number`,
`line_number`,
`lot`,
`material_description`,
`ndc`,
`po_number`,
`sap_material_id`,
`ship_qty`,
`ship_via`,
`tracking_id`,
`unit_price`,
`uom`,
`vendor_id`,
`vendor_material`,
`vendor_name`,
`received_qty`,
`lost_qty`)
SELECT
`id`,
`asn_id`,
`asn_date`,
`clinic_id`,
`expiration`,
`invoice_number`,
`line_number`,
`lot`,
`material_description`,
`ndc`,
`po_number`,
`sap_material_id`,
`ship_qty`,
`ship_via`,
`tracking_id`,
`unit_price`,
`uom`,
`vendor_id`,
`vendor_material`,
`vendor_name`,
`received_qty`,
`lost_qty`
FROM `tbl_asn` a
WHERE a.`asn_date` <= (CURDATE() - INTERVAL 90 DAY )
AND NOT EXISTS (SELECT 1 FROM `tbl_inventory` t where t.`asn_id` = a.`id`)
$$

INSERT INTO `tbl_asn_address_history` (
  `original_id`
  ,`original_asn_id`
  ,`ship_type`
  ,`account_id`
  ,`name`
  ,`address`
  ,`city`
  ,`state`
  ,`zip`)
SELECT
  `id`
  ,`asn_id`
  ,`ship_type`
  ,`account_id`
  ,`name`
  ,`address`
  ,`city`
  ,`state`
  ,`zip`
FROM `tbl_asn_address` a
  WHERE EXISTS (select 1 from tbl_asn_history h WHERE a.asn_id = h.original_id )
$$

DELETE FROM `tbl_asn_address` WHERE exists (SELECT 1 FROM `tbl_asn_address_history` h WHERE tbl_asn_address.ID = h.original_id )
$$

DELETE FROM `tbl_asn`  WHERE EXISTS (SELECT 1 FROM `tbl_asn_history` h WHERE tbl_asn.ID = h.original_id )
$$

