import { SQS } from 'aws-sdk';
import { SendMessageBatchResultEntryList } from 'aws-sdk/clients/sqs';
interface ProducerOptions {
    queueUrl?: string;
    batchSize?: number;
    sqs?: SQS;
    region?: string;
}
export declare class Producer {
    static create: (options: ProducerOptions) => Producer;
    queueUrl: string;
    batchSize: number;
    sqs: SQS;
    region?: string;
    constructor(options: ProducerOptions);
    queueSize(): Promise<number>;
    send(messages: string | string[]): Promise<SendMessageBatchResultEntryList>;
    private validate;
    private sendBatch;
}
export {};
