"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isMessageAttributeValid = exports.isObject = exports.isString = void 0;
function isString(value) {
    return typeof value === 'string' || value instanceof String;
}
exports.isString = isString;
function isObject(value) {
    return value && typeof value === 'object' && value instanceof Object;
}
exports.isObject = isObject;
function isMessageAttributeValid(messageAttribute) {
    if (!messageAttribute.DataType) {
        throw new Error('A MessageAttribute must have a DataType key');
    }
    if (!isString(messageAttribute.DataType)) {
        throw new Error('The DataType key of a MessageAttribute must be a String');
    }
    return true;
}
exports.isMessageAttributeValid = isMessageAttributeValid;
